	cpu LMM
	.module main.c
	.area data(ram, con, rel)
_TimeSlot::
	.word 0
	.dbfile ./main.c
	.dbsym e TimeSlot _TimeSlot I
	.area data(ram, con, rel)
	.dbfile ./main.c
	.area data(ram, con, rel)
	.dbfile ./main.c
_SliceCounter::
	.word 0
	.dbsym e SliceCounter _SliceCounter I
	.area data(ram, con, rel)
	.dbfile ./main.c
	.area lit(rom, con, rel)
L5:
	.byte 32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32
	.byte 0
	.area text(rom, con, rel)
	.dbfile ./main.c
	.dbfunc e main _main fV
;          Weigh -> X+190
;       NorthPID -> X+162
;       SouthPID -> X+134
;      bTxStatus -> X+133
;     SouthWheel -> X+125
;     NorthWheel -> X+117
;      ADCsample -> X+113
;          blank -> X+96
;      bRxStatus -> X+95
;           tare -> X+93
;        SetTare -> X+92
;            str -> X+75
;         ADCavg -> X+71
;         adccnt -> X+67
;         ADCsum -> X+63
;      R_LS_Mask -> X+62
;           Stop -> X+61
;      StsTxByte -> X+60
;         weight -> X+58
;      CmdRxByte -> X+57
;    PSoC_Select -> X+56
;            pwr -> X+48
;        Command -> X+5
;      L_LS_Mask -> X+4
;            cnt -> X+2
;        LS_Mask -> X+1
;           Mask -> X+0
_main::
	.dbline -1
	push X
	mov X,SP
	add SP,-63
	.dbline 19
; //----------------------------------------------------------------------------
; // C main line
; //----------------------------------------------------------------------------
; #include <m8c.h>        // part specific constants and macros
; #include "PSoCAPI.h"    // PSoC API definitions for all User Modules
; #include <stdlib.h>
; #include "motorcontroller.h"
; #include "rx8_1.h"
; #include <psocgpioint.h>
; 
; // Global Variables
; 
; int 	TimeSlot = 0;			// Scheduler variable
; int 	SliceCounter = 0;		// Scheduler variable
; 
; // Main Program
; 
; void main()
; {
	.dbline 31
; 
; // Variables
; 
; 	PIDstruct	SouthPID;
; 	PIDstruct	NorthPID;
; 	CmdStruct	Command;
; 	WheelStruct	NorthWheel;
; 	WheelStruct SouthWheel;
; 
; 	BYTE		bRxStatus;
; 	BYTE		bTxStatus;
; 	BYTE		CmdRxByte = 0;			// Rx interrupt Variables
	mov [X+57],0
	.dbline 32
; 	BYTE		StsTxByte = 0;			// Tx interrupt Variables
	mov [X+60],0
	.dbline 33
; 	BYTE		LS_Mask = 0;
	mov [X+1],0
	.dbline 34
; 	BYTE		R_LS_Mask = 0;
	mov [X+62],0
	.dbline 35
; 	BYTE		L_LS_Mask = 0;
	mov [X+4],0
	.dbline 36
; 	BYTE		Mask = 0;
	mov [X+0],0
	.dbline 42
; 	BOOL		Stop;
; 	BOOL		SetTare;
; 	BOOL		PSoC_Select;
; 	BOOL		Weigh;
; 
; 	unsigned long  	ADCsample = 0;                  // ADC sample
	mov [X+113],0
	mov [X+114],0
	mov [X+115],0
	mov [X+116],0
	.dbline 43
; 	unsigned long	ADCsum = 0;
	mov [X+63],0
	mov [X+64],0
	mov [X+65],0
	mov [X+66],0
	.dbline 45
; 	unsigned long	ADCavg;
; 	unsigned long	adccnt = 0;
	mov [X+67],0
	mov [X+68],0
	mov [X+69],0
	mov [X+70],0
	.dbline 46
; 	int				tare = 0;
	mov [X+94],0
	mov [X+93],0
	.dbline 49
; 	int				weight;
; 	char 	       	str[17];			            // One line of characters for LCD
; 	char		   	blank[] = "                ";	// Clear a line of LCD
	mov REG[0xd0],>__r0
	mov [__r1],<L5
	mov [__r0],>L5
	mov [__r3],X
	add [__r3],96
	mov REG[0xd5],7
	push X
	mov [__rX],0
	mov A,[__r0]
	mov X,[__r1]
X4:
	push A
	romx
	mov REG[0xd0],>__r0
	mvi [__r3],A
	pop A
	inc X
	adc A,0
	inc [__rX]
	cmp [__rX],17
	jnz X4
	pop X
	.dbline 56
; 	
; 	int 			pwr[4];
; 	int				cnt;
; 
; // Initialization
; 
; 	initPSoC(); 						// Init PSoC functions
	xcall _initPSoC
	.dbline 57
; 	StopMotor(BOTH);
	mov A,0
	push A
	mov A,2
	push A
	xcall _StopMotor
	add SP,-2
	.dbline 58
; 	PIDinit(&SouthPID);					// Initialize the PID control loops
	mov REG[0xd0],>__r0
	mov [__r1],X
	add [__r1],-122
	mov A,7
	push A
	mov A,[__r1]
	push A
	xcall _PIDinit
	.dbline 59
; 	PIDinit(&NorthPID);
	mov REG[0xd0],>__r0
	mov [__r1],X
	add [__r1],-94
	mov A,7
	push A
	mov A,[__r1]
	push A
	xcall _PIDinit
	add SP,-4
	.dbline 60
; 	StsTxByte |= PSOCSTOP;
	mov REG[0xd0],>__r0
	mov A,[X+60]
	or A,8
	mov [X+60],A
	.dbline 62
; 
; 	NorthWheel.id = NORTH;				// Initialize Wheel Structs
	mov [X+118],1
	mov [X+117],0
	.dbline 63
; 	SouthWheel.id = SOUTH;
	mov [X+126],0
	mov [X+125],0
	.dbline 64
; 	Command.Status = NEW;				// Initialize Command Structs
	mov [X+11],1
	.dbline 65
; 	Command.Velocity = 0;
	mov [X+7],0
	mov [X+6],0
	.dbline 66
; 	Command.error = 0;
	mov [X+42],0
	mov [X+41],0
	.dbline 67
; 	Command.wReadCounter = 0;
	mov [X+44],0
	mov [X+43],0
	.dbline 68
; 	Command.END_SENSOR = FALSE;
	mov [X+16],0
	.dbline 69
; 	Command.PWMvalue = 0;
	mov [X+47],0
	mov [X+46],0
	.dbline 71
; 
; 	Stop = FALSE;
	mov [X+61],0
	.dbline 72
; 	SetTare = TRUE;
	mov [X+92],1
	.dbline 73
; 	PSoC_Select = FALSE;
	mov [X+56],0
	.dbline 74
; 	Weigh = FALSE;
	mov [X-66],0
	.dbline 76
; 
; 	pwr[0] = 1;
	mov [X+49],1
	mov [X+48],0
	.dbline 77
; 	pwr[1] = 2;
	mov [X+51],2
	mov [X+50],0
	.dbline 78
; 	pwr[2] = 4;
	mov [X+53],4
	mov [X+52],0
	.dbline 79
; 	pwr[3] = 8;
	mov [X+55],8
	mov [X+54],0
	xjmp L16
L15:
	.dbline 82
; 	
; 	while(TRUE)
; 	{
	.dbline 87
; // Do this every 10 ms
; // Check to see if we got a byte from XBC.  If so check to see
; // if data or command byte.  Then go ahead and process the byte.
; 
; 		if (TimeSlot & 2)
	mov REG[0xd0],>_TimeSlot
	mov A,[_TimeSlot+1]
	and A,2
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_TimeSlot
	mov A,[_TimeSlot]
	and A,0
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X5
	cmp [__r1],0
	jz L18
X5:
	.dbline 88
; 		{
	.dbline 89
; 			TimeSlot ^= 2;
	mov REG[0xd0],>_TimeSlot
	xor [_TimeSlot+1],2
	xor [_TimeSlot],0
	.dbline 91
; 
; 			if (bRxStatus = RX8_1_bReadRxStatus() & RX8_RX_COMPLETE)
	push X
	xcall _RX8_1_bReadRxStatus
	mov REG[0xd0],>__r0
	pop X
	mov [__r0],A
	and [__r0],8
	mov A,[__r0]
	mov [X+95],A
	cmp [__r0],0
	jz L20
	.dbline 92
; 			{
	.dbline 93
; 				CmdRxByte = RX8_1_bReadRxData();
	push X
	xcall _RX8_1_bReadRxData
	mov REG[0xd0],>__r0
	pop X
	mov [X+57],A
	.dbline 95
; 
; 				if ((CmdRxByte | NS_PSOC) == NS_PSOC)
	mov A,[X+57]
	or A,-2
	cmp A,-2
	jnz L22
	.dbline 96
; 				{
	.dbline 97
; 					PSoC_Select = TRUE;
	mov [X+56],1
	.dbline 98
; 					TX8_1_Start(TX8_PARITY_NONE);
	push X
	mov A,0
	xcall _TX8_1_Start
	pop X
	.dbline 99
; 					ProcessRxByte(CmdRxByte, &Command);
	mov REG[0xd0],>__r0
	mov [__r1],X
	add [__r1],5
	mov A,7
	push A
	mov A,[__r1]
	push A
	mov A,[X+57]
	push A
	xcall _ProcessRxByte
	add SP,-3
	.dbline 100
; 					StsTxByte &= NS_PSOC;
	and [X+60],-10
	.dbline 101
; 					StsTxByte &= PSOCSTART;
	.dbline 102
; 					StsTxByte |= STSWORD;
	mov REG[0xd0],>__r0
	mov A,[X+60]
	or A,-128
	mov [X+60],A
	.dbline 104
; 
; 					if (Command.Velocity == 0)
	cmp [X+6],0
	jnz L24
	cmp [X+7],0
	jnz L24
X6:
	.dbline 105
; 					{
	.dbline 106
; 						Weigh = TRUE;
	mov [X-66],1
	.dbline 107
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 108
; 					}
L24:
	.dbline 110
; 
; 					SouthWheel.position = PRESET_CNT;
	mov [X-124],-1
	mov [X-125],-1
	.dbline 111
; 					NorthWheel.position = PRESET_CNT;
	mov [X+124],-1
	mov [X+123],-1
	.dbline 112
; 				}
L22:
	.dbline 114
; 
; 				bRxStatus = 0;
	mov [X+95],0
	.dbline 115
; 				RX8_1_CmdReset();
	push X
	xcall _RX8_1_CmdReset
	pop X
	.dbline 116
; 			}
L20:
	.dbline 118
; 
; 			if ((PSoC_Select) && (CmdRxByte & ALIGN) && (Command.Velocity > 0) && !(CmdRxByte & MTYPE))
	cmp [X+56],0
	jz L29
	tst [X+57],2
	jz L29
	mov A,0
	sub A,[X+7]
	mov A,[X+6]
	xor A,-128
	mov REG[0xd0],>__r0
	mov [__rX],A
	mov A,(0 ^ 0x80)
	sbb A,[__rX]
	jnc L29
X7:
	tst [X+57],32
	jnz L29
	.dbline 119
; 			{
	.dbline 120
; 				LS_Mask = (PRT2DR | IS_LN_MSK);
	mov A,REG[0x8]
	mov REG[0xd0],>__r0
	mov [__r0],A
	or [__r0],1
	mov A,[__r0]
	mov [X+1],A
	.dbline 122
; 
; 				switch (LS_Mask)
	mov A,[X+1]
	mov [X-64],A
	mov [X-65],0
	mov A,[X-64]
	sub A,-121
	mov [__rY],A
	mov A,[X-65]
	xor A,-128
	sbb A,(0 ^ 0x80)
	or A,[__rY]
	jz L36
	jnc L41
X8:
L40:
	mov A,[X-64]
	sub A,1
	mov REG[0xd0],>__r0
	mov [__rY],A
	mov A,[X-65]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L32
	or A,[__rY]
	jz L39
X9:
L42:
	cmp [X-65],0
	jnz X10
	cmp [X-64],15
	jz L35
X10:
	xjmp L32
L41:
	mov A,[X-64]
	sub A,-61
	mov REG[0xd0],>__r0
	mov [__rY],A
	mov A,[X-65]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L32
	or A,[__rY]
	jz L37
X11:
L43:
	cmp [X-65],0
	jnz X12
	cmp [X-64],-31
	jz L38
X12:
	xjmp L32
X0:
	.dbline 123
; 				{
L35:
	.dbline 125
; 					case LS_MSK6:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 126
; 					break;
	xjmp L30
L36:
	.dbline 129
; 
; 					case LS_MSK7:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 130
; 					break;
	xjmp L30
L37:
	.dbline 133
; 
; 					case LS_MSK8:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 134
; 					break;
	xjmp L30
L38:
	.dbline 137
; 
; 					case LS_MSK9:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 138
; 					break;
	xjmp L30
L39:
	.dbline 141
; 
; 					case IS_LN_MSK:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 142
; 					break;
	xjmp L30
L32:
	.dbline 145
; 
; 					default:
; 						Stop = FALSE;
	mov [X+61],0
	.dbline 146
; 				}
	.dbline 147
; 			}
	xjmp L30
L29:
	.dbline 149
; 
; 			else if ((PSoC_Select) && (CmdRxByte & IS_DT) && (Command.Velocity > 0) && !(CmdRxByte & MTYPE))
	cmp [X+56],0
	jz L44
	tst [X+57],-128
	jz L44
	mov A,0
	sub A,[X+7]
	mov A,[X+6]
	xor A,-128
	mov REG[0xd0],>__r0
	mov [__rX],A
	mov A,(0 ^ 0x80)
	sbb A,[__rX]
	jnc L44
X13:
	tst [X+57],32
	jnz L44
	.dbline 150
; 			{
	.dbline 151
; 				LS_Mask = (PRT2DR | IS_LN_MSK);
	mov A,REG[0x8]
	mov REG[0xd0],>__r0
	mov [__r0],A
	or [__r0],1
	mov A,[__r0]
	mov [X+1],A
	.dbline 153
; 
; 				switch (LS_Mask)
	mov A,[X+1]
	mov [X-64],A
	mov [X-65],0
	mov A,[X-64]
	sub A,-73
	mov [__rY],A
	mov A,[X-65]
	xor A,-128
	sbb A,(0 ^ 0x80)
	or A,[__rY]
	jz L65
	jnc L72
X14:
L71:
	mov A,[X-64]
	sub A,95
	mov REG[0xd0],>__r0
	mov [__rY],A
	mov A,[X-65]
	xor A,-128
	sbb A,(0 ^ 0x80)
	or A,[__rY]
	jz L59
	jnc L74
X15:
L73:
	mov A,[X-64]
	sub A,15
	mov REG[0xd0],>__r0
	mov [__rY],A
	mov A,[X-65]
	xor A,-128
	sbb A,(0 ^ 0x80)
	or A,[__rY]
	jz L55
	jnc L76
X16:
L75:
	cmp [X-65],0
	jnz X17
	cmp [X-64],1
	jz L68
X17:
	xjmp L47
L76:
	cmp [X-65],0
	jnz X18
	cmp [X-64],31
	jz L50
X18:
	xjmp L47
L74:
	mov A,[X-64]
	sub A,-121
	mov REG[0xd0],>__r0
	mov [__rY],A
	mov A,[X-65]
	xor A,-128
	sbb A,(0 ^ 0x80)
	or A,[__rY]
	jz L56
	jnc L78
X19:
L77:
	cmp [X-65],0
	jnz X20
	cmp [X-64],111
	jz L64
X20:
	xjmp L47
L78:
	mov A,[X-64]
	sub A,-113
	mov REG[0xd0],>__r0
	mov [__rY],A
	mov A,[X-65]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L47
	or A,[__rY]
	jz L51
X21:
L79:
	cmp [X-65],0
	jnz X22
	cmp [X-64],-81
	jz L60
X22:
	xjmp L47
L72:
	mov A,[X-64]
	sub A,-37
	mov REG[0xd0],>__r0
	mov [__rY],A
	mov A,[X-65]
	xor A,-128
	sbb A,(0 ^ 0x80)
	or A,[__rY]
	jz L66
	jnc L81
X23:
L80:
	mov A,[X-64]
	sub A,-57
	mov REG[0xd0],>__r0
	mov [__rY],A
	mov A,[X-65]
	xor A,-128
	sbb A,(0 ^ 0x80)
	or A,[__rY]
	jz L52
	jnc L83
X24:
L82:
	cmp [X-65],0
	jnz X25
	cmp [X-64],-61
	jz L57
X25:
	xjmp L47
L83:
	cmp [X-65],0
	jnz X26
	cmp [X-64],-41
	jz L61
X26:
	xjmp L47
L81:
	cmp [X-65],0
	jnz X27
	cmp [X-64],-21
	jz L62
X27:
	mov A,[X-64]
	sub A,-19
	mov REG[0xd0],>__r0
	mov [__rY],A
	mov A,[X-65]
	xor A,-128
	sbb A,(0 ^ 0x80)
	or A,[__rY]
	jz L67
	jnc L85
X28:
L84:
	cmp [X-65],0
	jnz X29
	cmp [X-64],-31
	jz L58
X29:
	cmp [X-65],0
	jnz X30
	cmp [X-64],-29
	jz L53
X30:
	xjmp L47
L85:
	mov A,[X-64]
	sub A,-15
	mov REG[0xd0],>__r0
	mov [__rY],A
	mov A,[X-65]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jc L47
	or A,[__rY]
	jz L54
X31:
L86:
	cmp [X-65],0
	jnz X32
	cmp [X-64],-11
	jz L63
X32:
	xjmp L47
X1:
	.dbline 154
; 				{
L50:
	.dbline 156
; 					case LS_MSK1:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 157
; 					break;
	xjmp L48
L51:
	.dbline 160
; 
; 					case LS_MSK2:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 161
; 					break;
	xjmp L48
L52:
	.dbline 164
; 
; 					case LS_MSK3:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 165
; 					break;
	xjmp L48
L53:
	.dbline 168
; 
; 					case LS_MSK4:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 169
; 					break;
	xjmp L48
L54:
	.dbline 172
; 
; 					case LS_MSK5:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 173
; 					break;
	xjmp L48
L55:
	.dbline 176
; 
; 					case LS_MSK6:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 177
; 					break;
	xjmp L48
L56:
	.dbline 180
; 
; 					case LS_MSK7:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 181
; 					break;
	xjmp L48
L57:
	.dbline 184
; 
; 					case LS_MSK8:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 185
; 					break;
	xjmp L48
L58:
	.dbline 188
; 
; 					case LS_MSK9:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 189
; 					break;
	xjmp L48
L59:
	.dbline 192
; 
; 					case LS_MSK10:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 193
; 					break;
	xjmp L48
L60:
	.dbline 196
; 
; 					case LS_MSK11:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 197
; 					break;
	xjmp L48
L61:
	.dbline 200
; 
; 					case LS_MSK12:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 201
; 					break;
	xjmp L48
L62:
	.dbline 204
; 
; 					case LS_MSK13:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 205
; 					break;
	xjmp L48
L63:
	.dbline 208
; 
; 					case LS_MSK14:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 209
; 					break;
	xjmp L48
L64:
	.dbline 212
; 
; 					case LS_MSK15:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 213
; 					break;
	xjmp L48
L65:
	.dbline 216
; 
; 					case LS_MSK16:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 217
; 					break;
	xjmp L48
L66:
	.dbline 220
; 
; 					case LS_MSK17:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 221
; 					break;
	xjmp L48
L67:
	.dbline 224
; 
; 					case LS_MSK18:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 225
; 					break;
	xjmp L48
L68:
	.dbline 228
; 
; 					case IS_LN_MSK:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 229
; 					break;
	xjmp L48
L47:
	.dbline 232
; 
; 					default:
; 						LS_Mask = (PRT2DR & IS_LN_MSK);
	mov A,REG[0x8]
	mov REG[0xd0],>__r0
	and A,1
	mov [X+1],A
	.dbline 233
; 						if (!LS_Mask)
	cmp [X+1],0
	jnz L69
	.dbline 234
; 						{
	.dbline 235
; 							Stop = TRUE;
	mov [X+61],1
	.dbline 236
; 						}
	xjmp L70
L69:
	.dbline 239
; 
; 						else
; 						{
	.dbline 240
; 							Stop = FALSE;
	mov [X+61],0
	.dbline 241
; 						}
L70:
	.dbline 242
; 				}
L48:
	.dbline 243
; 			}
L44:
L30:
	.dbline 245
; 			
; 			if ((PSoC_Select) && (Command.Velocity > 0) && (CmdRxByte & MTYPE))
	cmp [X+56],0
	jz L87
	mov A,0
	sub A,[X+7]
	mov A,[X+6]
	xor A,-128
	mov REG[0xd0],>__r0
	mov [__rX],A
	mov A,(0 ^ 0x80)
	sbb A,[__rX]
	jnc L87
X33:
	tst [X+57],32
	jz L87
	.dbline 246
; 			{
	.dbline 247
; 				LS_Mask = (PRT2DR | IS_LN_MSK);
	mov A,REG[0x8]
	mov REG[0xd0],>__r0
	mov [__r0],A
	or [__r0],1
	mov A,[__r0]
	mov [X+1],A
	.dbline 249
; 
; 				switch (LS_Mask)
	mov A,[X+1]
	mov [X-64],A
	mov [X-65],0
	cmp [X-65],0
	jnz X34
	cmp [X-64],1
	jz L93
X34:
	xjmp L90
X2:
	.dbline 250
; 				{
L93:
	.dbline 252
; 					case IS_LN_MSK:
; 						Stop = TRUE;
	mov [X+61],1
	.dbline 253
; 					break;
	xjmp L91
L90:
	.dbline 256
; 
; 					default:
; 						Stop = FALSE;
	mov [X+61],0
	.dbline 257
; 				}
L91:
	.dbline 258
; 			}
L87:
	.dbline 260
; 
; 			if ((PSoC_Select && Stop) || (PSoC_Select && Command.Velocity == 0))
	cmp [X+56],0
	jz L98
	cmp [X+61],0
	jnz L97
L98:
	cmp [X+56],0
	jz L94
	cmp [X+6],0
	jnz L94
	cmp [X+7],0
	jnz L94
X35:
L97:
	.dbline 261
; 			{
	.dbline 262
; 				StopMotor(BOTH);
	mov A,0
	push A
	mov A,2
	push A
	xcall _StopMotor
	add SP,-2
	.dbline 264
; 
; 	       		Command.Velocity = 0;
	mov [X+7],0
	mov [X+6],0
	.dbline 265
; 	       		Command.VP6 = 0;
	mov [X+18],0
	mov [X+17],0
	.dbline 266
; 	   			Command.VP5 = 0;
	mov [X+20],0
	mov [X+19],0
	.dbline 267
; 	   			Command.VP4 = 0;
	mov [X+22],0
	mov [X+21],0
	.dbline 268
; 	   			Command.VP3 = 0;
	mov [X+24],0
	mov [X+23],0
	.dbline 269
; 	   			Command.VP2 = 0;
	mov [X+26],0
	mov [X+25],0
	.dbline 270
; 	   			Command.VP1 = 0;
	mov [X+28],0
	mov [X+27],0
	.dbline 271
; 	   			Command.VS1 = 0;
	mov [X+30],0
	mov [X+29],0
	.dbline 272
; 	   			Command.VS2 = 0;
	mov [X+32],0
	mov [X+31],0
	.dbline 273
; 	   			Command.VS3 = 0;
	mov [X+34],0
	mov [X+33],0
	.dbline 274
; 	   			Command.VS4 = 0;
	mov [X+36],0
	mov [X+35],0
	.dbline 275
; 	   			Command.VS5 = 0;
	mov [X+38],0
	mov [X+37],0
	.dbline 276
; 	   			Command.VS6 = 0;
	mov [X+40],0
	mov [X+39],0
	.dbline 278
; 
; 	       		if (Stop)
	cmp [X+61],0
	jz L112
	.dbline 279
; 	       		{
	.dbline 280
; 	       			StsTxByte |= PSOCSTOP;
	mov REG[0xd0],>__r0
	mov A,[X+60]
	or A,8
	mov [X+60],A
	.dbline 281
; 	       			Stop = FALSE;
	mov [X+61],0
	.dbline 282
; 	       		}
L112:
	.dbline 284
; 
; 	       		if (Command.PrevOffline)
	cmp [X+14],0
	jz L114
	.dbline 285
; 	       		{
	.dbline 287
; 
; 	       			StsTxByte |= LINELEFT;
	mov REG[0xd0],>__r0
	mov A,[X+60]
	or A,16
	mov [X+60],A
	.dbline 288
; 	       		}
	xjmp L115
L114:
	.dbline 291
; 
; 	       		else
; 	       		{
	.dbline 292
; 	       			StsTxByte &= LINERIGHT;
	and [X+60],-17
	.dbline 293
; 	       		}
L115:
	.dbline 295
; 
; 	       		if (Command.Center)
	cmp [X+15],0
	jz L117
	.dbline 296
; 	       		{
	.dbline 297
; 	       			StsTxByte |= CENTER;
	mov REG[0xd0],>__r0
	mov A,[X+60]
	or A,32
	mov [X+60],A
	.dbline 298
; 	       		}
	xjmp L118
L117:
	.dbline 301
; 	       		
; 	       		else
; 	       		{
	.dbline 302
; 	       			StsTxByte &= NOTCENTER;
	and [X+60],-33
	.dbline 303
; 	       		}
L118:
	.dbline 305
; 
; 	       		if (PSoC_Select)
	cmp [X+56],0
	jz L120
	.dbline 306
; 	       		{
	.dbline 307
; 	       			TX8_1_SendData(StsTxByte);
	push X
	mov A,[X+60]
	xcall _TX8_1_SendData
	.dbline 308
; 					TX8_2_SendData(0x94);
	mov A,-108
	xcall _TX8_2_SendData
	pop X
	.dbline 309
; 					TX8_2_PutString(blank);
	mov REG[0xd0],>__r0
	mov [__r1],X
	add [__r1],96
	push X
	mov A,7
	push A
	mov A,[__r1]
	mov X,A
	pop A
	xcall _TX8_2_PutString
	.dbline 310
; 					TX8_2_SendData(0x94);
	mov A,-108
	xcall _TX8_2_SendData
	pop X
	.dbline 311
; 					TX8_2_PutSHexByte(StsTxByte);
	push X
	mov A,[X+60]
	xcall _TX8_2_PutSHexByte
	pop X
	.dbline 312
; 					Weigh = FALSE;
	mov [X-66],0
	.dbline 313
; 					PSoC_Select = FALSE;
	mov [X+56],0
	.dbline 314
; 	       		}
L120:
	.dbline 316
; 
; 				if (bTxStatus = bTX8_1_ReadTxStatus() & TX8_1_TX_COMPLETE)
	push X
	xcall _bTX8_1_ReadTxStatus
	mov REG[0xd0],>__r0
	pop X
	mov [__r0],A
	and [__r0],32
	mov A,[__r0]
	mov [X-123],A
	cmp [__r0],0
	jz L122
	.dbline 317
; 				{
	.dbline 318
; 					TX8_1_Stop();
	push X
	xcall _TX8_1_Stop
	pop X
	.dbline 319
; 					bTxStatus = 0;
	mov [X-123],0
	.dbline 320
; 	       		}
L122:
	.dbline 321
; 			}
L94:
	.dbline 323
; 			
; 			LS_Mask = (PRT2DR | IS_LN_MSK);
	mov A,REG[0x8]
	mov REG[0xd0],>__r0
	mov [__r0],A
	or [__r0],1
	mov A,[__r0]
	mov [X+1],A
	.dbline 324
; 			LS_Mask = ~LS_Mask;
	mov A,[X+1]
	cpl A
	mov [X+1],A
	.dbline 325
; 			cnt = 3;
	mov [X+3],3
	mov [X+2],0
	.dbline 326
; 			R_LS_Mask = LS_Mask >> 4;
	mov A,[X+1]
	asr A
	asr A
	asr A
	asr A
	and A,15
	mov [X+62],A
	.dbline 327
; 			L_LS_Mask = 0;
	mov [X+4],0
	xjmp L125
L124:
	.dbline 330
	.dbline 331
	mov [X+0],0
	.dbline 332
	and F,-5
	rrc [X+1]
	.dbline 333
	mov A,[X+1]
	and A,1
	mov [X+0],A
	.dbline 334
	mov REG[0xd0],>__r0
	mov [__r0],7
	mov [__r1],X
	add [__r1],48
	mov A,[X+3]
	mov [__r3],A
	mov A,[X+2]
	mov [__r2],A
	asl [__r3]
	rlc [__r2]
	mov A,[__r3]
	add A,[__r1]
	mov [__r1],A
	mov A,[__r2]
	adc A,[__r0]
	mov REG[0xd4],A
	mvi A,[__r1]
	mov [__r0],A
	mvi A,[__r1]
	mov [__r1],A
	mov A,[X+0]
	mov [__r3],A
	mov A,[__r0]
	push A
	mov A,[__r1]
	push A
	mov A,0
	push A
	mov A,[__r3]
	push A
	xcall __mul16
	add SP,-4
	mov A,[__rX]
	mov [X+0],A
	.dbline 335
	mov A,[X+4]
	or A,[X+0]
	mov [X+4],A
	.dbline 336
	dec [X+3]
	sbb [X+2],0
	.dbline 337
L125:
	.dbline 329
; 			
; 			while(cnt >= 0)
	mov A,[X+3]
	sub A,0
	mov A,[X+2]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jnc L124
X36:
	.dbline 339
; 			{
; 				Mask = 0;
; 				LS_Mask = LS_Mask >> 1;
; 				Mask = (LS_Mask & IS_LN_MSK);
; 				Mask = Mask * pwr[cnt];
; 				L_LS_Mask = (L_LS_Mask | Mask);
; 				cnt--;
; 			}				
; 			
; 			Command.PrevOffline = Command.Offline;
	mov A,[X+13]
	mov [X+14],A
	.dbline 341
; 			
; 			if (R_LS_Mask < L_LS_Mask)
	mov A,[X+62]
	cmp A,[X+4]
	jnc L129
X37:
	.dbline 342
; 			{
	.dbline 343
; 				Command.Offline = LEFT;
	mov [X+13],1
	.dbline 344
; 				Command.Center = FALSE;
	mov [X+15],0
	.dbline 346
; 				
; 				if (L_LS_Mask == 8)
	cmp [X+4],8
	jnz L133
	.dbline 347
; 				{
	.dbline 348
; 					Command.END_SENSOR = TRUE;
	mov [X+16],1
	.dbline 349
; 				}
	xjmp L130
L133:
	.dbline 352
; 				
; 				else
; 				{
	.dbline 353
; 					Command.END_SENSOR = FALSE;
	mov [X+16],0
	.dbline 354
; 				}
	.dbline 355
; 			}
	xjmp L130
L129:
	.dbline 357
; 			
; 			else if (R_LS_Mask > L_LS_Mask)
	mov A,[X+4]
	cmp A,[X+62]
	jnc L137
X38:
	.dbline 358
; 			{
	.dbline 359
; 				Command.Offline = RIGHT;
	mov [X+13],0
	.dbline 360
; 				Command.Center = FALSE;
	mov [X+15],0
	.dbline 362
; 				
; 				if (R_LS_Mask == 8)
	cmp [X+62],8
	jnz L141
	.dbline 363
; 				{
	.dbline 364
; 					Command.END_SENSOR = TRUE;
	mov [X+16],1
	.dbline 365
; 				}
	xjmp L138
L141:
	.dbline 368
; 			
; 				else
; 				{
	.dbline 369
; 					Command.END_SENSOR = FALSE;
	mov [X+16],0
	.dbline 370
; 				}
	.dbline 371
; 			}
	xjmp L138
L137:
	.dbline 374
; 			
; 			else
; 			{
	.dbline 375
; 				if (!Command.END_SENSOR)
	cmp [X+16],0
	jnz L145
	.dbline 376
; 				{
	.dbline 377
; 					Command.Center = TRUE;
	mov [X+15],1
	.dbline 378
; 				}
L145:
	.dbline 379
; 			}
L138:
L130:
	.dbline 380
; 		}// end 10 ms timeslot
L18:
	.dbline 385
; 
; //
; // Do this every 20 ms
; //
; 		if (TimeSlot & 4)
	mov REG[0xd0],>_TimeSlot
	mov A,[_TimeSlot+1]
	and A,4
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_TimeSlot
	mov A,[_TimeSlot]
	and A,0
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X39
	cmp [__r1],0
	jz L149
X39:
	.dbline 386
; 		{
	.dbline 387
; 			TimeSlot ^= 4;
	mov REG[0xd0],>_TimeSlot
	xor [_TimeSlot+1],4
	xor [_TimeSlot],0
	.dbline 389
; 
; 			if(ADCINC14_1_fIsDataAvailable() != 0)		// See if data ready
	push X
	xcall _ADCINC14_1_fIsDataAvailable
	mov REG[0xd0],>__r0
	pop X
	cmp A,0
	jz L151
	.dbline 390
;             {
	.dbline 391
;                 ADCsample = ADCINC14_1_iGetData();     // Get Data
	push X
	xcall _ADCINC14_1_iGetData
	mov REG[0xd0],>__r0
	mov [__r0],X
	pop X
	mov [X+116],A
	mov A,[__r0]
	mov [X+115],A
	tst [X+115],-128
	jz X40
	mov [X+114],-1
	mov [X+113],-1
	jmp X41
X40:
	mov [X+114],0
	mov [X+113],0
X41:
	.dbline 392
;                 ADCsum += ADCsample;
	mov A,[X+116]
	add [X+66],A
	mov A,[X+115]
	adc [X+65],A
	mov A,[X+114]
	adc [X+64],A
	mov A,[X+113]
	adc [X+63],A
	.dbline 393
;                 adccnt++;
	add [X+70],1
	adc [X+69],0
	adc [X+68],0
	adc [X+67],0
	.dbline 394
;                 ADCINC14_1_ClearFlag();                // Clear data ready flag
	push X
	xcall _ADCINC14_1_ClearFlag
	pop X
	.dbline 395
;             }
L151:
	.dbline 397
;             
; 			ADCINC14_1_GetSamples(1); 			        // Tell ADC to convert 1 sample (takes 16ms to convert)
	push X
	mov A,1
	xcall _ADCINC14_1_GetSamples
	pop X
	.dbline 398
; 		}// end 20 ms timeslot
L149:
	.dbline 402
; 
; // Do this every 40 ms (the sample period is 40 ms)
; 
; 		if (TimeSlot & 8)
	mov REG[0xd0],>_TimeSlot
	mov A,[_TimeSlot+1]
	and A,8
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_TimeSlot
	mov A,[_TimeSlot]
	and A,0
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X42
	cmp [__r1],0
	jz L153
X42:
	.dbline 403
; 		{
	.dbline 404
; 			TimeSlot ^= 8;
	mov REG[0xd0],>_TimeSlot
	xor [_TimeSlot+1],8
	xor [_TimeSlot],0
	.dbline 406
; 
; 			if (PSoC_Select)
	cmp [X+56],0
	jz L155
	.dbline 407
; 			{
	.dbline 408
; 				ControlWheel(&Command, &SouthWheel, &SouthPID);
	mov REG[0xd0],>__r0
	mov [__r1],X
	add [__r1],-122
	mov A,7
	push A
	mov A,[__r1]
	push A
	mov [__r1],X
	add [__r1],125
	mov A,7
	push A
	mov A,[__r1]
	push A
	mov [__r1],X
	add [__r1],5
	mov A,7
	push A
	mov A,[__r1]
	push A
	xcall _ControlWheel
	.dbline 409
; 				ControlWheel(&Command, &NorthWheel, &NorthPID);
	mov REG[0xd0],>__r0
	mov [__r1],X
	add [__r1],-94
	mov A,7
	push A
	mov A,[__r1]
	push A
	mov [__r1],X
	add [__r1],117
	mov A,7
	push A
	mov A,[__r1]
	push A
	mov [__r1],X
	add [__r1],5
	mov A,7
	push A
	mov A,[__r1]
	push A
	xcall _ControlWheel
	add SP,-12
	.dbline 410
; 			}
L155:
	.dbline 412
; 
; 		}// end 40 ms timeslot
L153:
	.dbline 416
; 
; // Do this every 160 ms
; 
; 		if (TimeSlot & 32)
	mov REG[0xd0],>_TimeSlot
	mov A,[_TimeSlot+1]
	and A,32
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_TimeSlot
	mov A,[_TimeSlot]
	and A,0
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X43
	cmp [__r1],0
	jz L157
X43:
	.dbline 417
; 		{
	.dbline 418
; 			TimeSlot ^= 32;
	mov REG[0xd0],>_TimeSlot
	xor [_TimeSlot+1],32
	xor [_TimeSlot],0
	.dbline 419
; 		}// end 160 ms timeslot
L157:
	.dbline 421
; 
; 		if (TimeSlot & 128)
	mov REG[0xd0],>_TimeSlot
	mov A,[_TimeSlot+1]
	and A,-128
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_TimeSlot
	mov A,[_TimeSlot]
	and A,0
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X44
	cmp [__r1],0
	jz L159
X44:
	.dbline 422
; 		{
	.dbline 423
; 			TimeSlot ^= 128;
	mov REG[0xd0],>_TimeSlot
	xor [_TimeSlot+1],-128
	xor [_TimeSlot],0
	.dbline 425
; 
;         } //  end 1.28 seconds
L159:
	.dbline 429
; 
; // Update the LCD screen once each 1.28 seconds
; 
; 		if (TimeSlot & 256)
	mov REG[0xd0],>_TimeSlot
	mov A,[_TimeSlot+1]
	and A,0
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov REG[0xd0],>_TimeSlot
	mov A,[_TimeSlot]
	and A,1
	mov REG[0xd0],>__r0
	cmp A,0
	jnz X45
	cmp [__r1],0
	jz L161
X45:
	.dbline 430
; 		{
	.dbline 431
; 			TimeSlot ^= 256;
	mov REG[0xd0],>_TimeSlot
	xor [_TimeSlot+1],0
	xor [_TimeSlot],1
	.dbline 433
; 
; 			ADCavg = ADCsum / adccnt;
	mov A,[X+67]
	push A
	mov A,[X+68]
	push A
	mov A,[X+69]
	push A
	mov A,[X+70]
	push A
	mov A,[X+63]
	push A
	mov A,[X+64]
	push A
	mov A,[X+65]
	push A
	mov A,[X+66]
	push A
	mov REG[0xd0],>__r0
	xcall __divmodu_32X32_32
	pop A
	mov [X+74],A
	pop A
	mov [X+73],A
	pop A
	mov [X+72],A
	pop A
	mov [X+71],A
	add SP,-4
	.dbline 434
; 			ADCsum = 0;
	mov [X+63],0
	mov [X+64],0
	mov [X+65],0
	mov [X+66],0
	.dbline 435
; 			adccnt = 0;
	mov [X+67],0
	mov [X+68],0
	mov [X+69],0
	mov [X+70],0
	.dbline 437
; 
; 			if (SetTare)
	cmp [X+92],0
	jz L163
	.dbline 438
; 			{
	.dbline 439
; 				tare = ADCavg;
	mov A,[X+74]
	mov [__r1],A
	mov A,[X+73]
	mov [__r0],A
	mov A,[__r1]
	mov [X+94],A
	mov A,[__r0]
	mov [X+93],A
	.dbline 440
; 				SetTare = FALSE;
	mov [X+92],0
	.dbline 441
; 			}
L163:
	.dbline 443
; 
; 			weight = 0.9567*(tare - ADCavg);
	mov REG[0xd0],>__r0
	mov A,[X+94]
	mov [__r3],A
	mov A,[X+93]
	mov [__r2],A
	tst [__r2],-128
	jz X46
	mov [__r1],-1
	mov [__r0],-1
	jmp X47
X46:
	mov REG[0xd0],>__r0
	mov [__r1],0
	mov [__r0],0
X47:
	mov REG[0xd0],>__r0
	mov A,[X+74]
	sub [__r3],A
	mov A,[X+73]
	sbb [__r2],A
	mov A,[X+72]
	sbb [__r1],A
	mov A,[X+71]
	sbb [__r0],A
	mov A,[__r3]
	and A,1
	mov [__r7],A
	mov A,[__r2]
	and A,0
	mov [__r6],A
	mov A,[__r1]
	and A,0
	mov [__r5],A
	mov A,[__r0]
	and A,0
	push A
	mov A,[__r5]
	push A
	mov A,[__r6]
	push A
	mov A,[__r7]
	push A
	xcall __long2fp
	pop A
	mov [__r7],A
	pop A
	mov [__r6],A
	pop A
	mov [__r5],A
	pop A
	mov [__r4],A
	and F,-5
	rrc [__r0]
	rrc [__r1]
	rrc [__r2]
	rrc [__r3]
	mov A,[__r0]
	push A
	mov A,[__r1]
	push A
	mov A,[__r2]
	push A
	mov A,[__r3]
	push A
	xcall __long2fp
	pop A
	mov [__r3],A
	pop A
	mov [__r2],A
	pop A
	mov [__r1],A
	pop A
	push A
	mov A,[__r1]
	push A
	mov A,[__r2]
	push A
	mov A,[__r3]
	push A
	mov A,64
	push A
	mov A,0
	push A
	push A
	push A
	xcall __fpmul
	pop A
	mov [__r3],A
	pop A
	mov [__r2],A
	pop A
	mov [__r1],A
	pop A
	mov [__r0],A
	add SP,-4
	mov A,[__r4]
	push A
	mov A,[__r5]
	push A
	mov A,[__r6]
	push A
	mov A,[__r7]
	push A
	mov A,[__r0]
	push A
	mov A,[__r1]
	push A
	mov A,[__r2]
	push A
	mov A,[__r3]
	push A
	xcall __fpadd
	pop A
	mov [__r3],A
	pop A
	mov [__r2],A
	pop A
	mov [__r1],A
	pop A
	add SP,-4
	push A
	mov A,[__r1]
	push A
	mov A,[__r2]
	push A
	mov A,[__r3]
	push A
	mov A,63
	push A
	mov A,116
	push A
	mov A,-22
	push A
	mov A,75
	push A
	xcall __fpmul
	pop A
	mov [__r3],A
	pop A
	mov [__r2],A
	pop A
	mov [__r1],A
	pop A
	add SP,-4
	push A
	mov A,[__r1]
	push A
	mov A,[__r2]
	push A
	mov A,[__r3]
	push A
	xcall __fp2long
	pop A
	mov [X+59],A
	pop A
	mov [X+58],A
	add SP,-2
	.dbline 444
; 			TX8_2_SendData(0x80);
	push X
	mov A,-128
	xcall _TX8_2_SendData
	pop X
	.dbline 445
; 			TX8_2_PutString(blank);
	mov REG[0xd0],>__r0
	mov [__r1],X
	add [__r1],96
	push X
	mov A,7
	push A
	mov A,[__r1]
	mov X,A
	pop A
	xcall _TX8_2_PutString
	pop X
	.dbline 446
;  		    itoa(str,weight,10);   			// Convert an integer to ascii
	mov A,0
	push A
	mov A,10
	push A
	mov A,[X+58]
	push A
	mov A,[X+59]
	push A
	mov REG[0xd0],>__r0
	mov [__r1],X
	add [__r1],75
	mov A,7
	push A
	mov A,[__r1]
	push A
	xcall _itoa
	add SP,-6
	.dbline 447
; 			TX8_2_SendData(0x80);
	push X
	mov A,-128
	xcall _TX8_2_SendData
	pop X
	.dbline 448
; 			TX8_2_PutString(str);
	mov REG[0xd0],>__r0
	mov [__r1],X
	add [__r1],75
	push X
	mov A,7
	push A
	mov A,[__r1]
	mov X,A
	pop A
	xcall _TX8_2_PutString
	.dbline 449
; 			TX8_2_CPutString(" g");
	mov A,>L165
	push A
	mov A,<L165
	mov X,A
	pop A
	xcall _TX8_2_CPutString
	pop X
	.dbline 451
; 
; 			if ((weight > 30) && (weight < 93))
	mov A,30
	sub A,[X+59]
	mov A,[X+58]
	xor A,-128
	mov REG[0xd0],>__r0
	mov [__rX],A
	mov A,(0 ^ 0x80)
	sbb A,[__rX]
	jnc L166
X48:
	mov A,[X+59]
	sub A,93
	mov A,[X+58]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jnc L166
X49:
	.dbline 452
; 			{
	.dbline 453
; 				StsTxByte &= NOWEIGHT;
	and [X+60],-7
	.dbline 454
; 				StsTxByte |= LTWEIGHT;
	mov REG[0xd0],>__r0
	mov A,[X+60]
	or A,2
	mov [X+60],A
	.dbline 455
; 			}
	xjmp L167
L166:
	.dbline 457
; 
; 			else if ((weight > 94) && (weight < 156))
	mov A,94
	sub A,[X+59]
	mov A,[X+58]
	xor A,-128
	mov REG[0xd0],>__r0
	mov [__rX],A
	mov A,(0 ^ 0x80)
	sbb A,[__rX]
	jnc L168
X50:
	mov A,[X+59]
	sub A,-100
	mov A,[X+58]
	xor A,-128
	sbb A,(0 ^ 0x80)
	jnc L168
X51:
	.dbline 458
; 			{
	.dbline 459
; 				StsTxByte &= NOWEIGHT;
	and [X+60],-7
	.dbline 460
; 				StsTxByte |= MDWEIGHT;
	mov REG[0xd0],>__r0
	mov A,[X+60]
	or A,4
	mov [X+60],A
	.dbline 461
; 			}
	xjmp L169
L168:
	.dbline 463
; 
; 			else if (weight > 157)
	mov A,-99
	sub A,[X+59]
	mov A,[X+58]
	xor A,-128
	mov REG[0xd0],>__r0
	mov [__rX],A
	mov A,(0 ^ 0x80)
	sbb A,[__rX]
	jnc L170
X52:
	.dbline 464
; 			{
	.dbline 465
; 				StsTxByte &= NOWEIGHT;
	and [X+60],-7
	.dbline 466
; 				StsTxByte |= HVWEIGHT;
	mov REG[0xd0],>__r0
	mov A,[X+60]
	or A,6
	mov [X+60],A
	.dbline 467
; 			}
	xjmp L171
L170:
	.dbline 470
; 
; 			else
; 			{
	.dbline 471
; 				StsTxByte &= NOWEIGHT;
	and [X+60],-7
	.dbline 472
; 			}
L171:
L169:
L167:
	.dbline 473
; 		}// end 1280 ms timeslot
L161:
	.dbline 474
L16:
	.dbline 81
	xjmp L15
X3:
	.dbline -2
	.dbline 475
; 	}// end while loop
; }// end of main program
L4:
	add SP,-193
	pop X
	.dbline 0 ; func end
	jmp .
	.dbsym l Weigh 190 c
	.dbsym l NorthPID 162 X
	.dbsym l SouthPID 134 X
	.dbsym l bTxStatus 133 c
	.dbsym l SouthWheel 125 X
	.dbsym l NorthWheel 117 X
	.dbsym l ADCsample 113 l
	.dbsym l blank 96 A[17:17]c
	.dbsym l bRxStatus 95 c
	.dbsym l tare 93 I
	.dbsym l SetTare 92 c
	.dbsym l str 75 A[17:17]c
	.dbsym l ADCavg 71 l
	.dbsym l adccnt 67 l
	.dbsym l ADCsum 63 l
	.dbsym l R_LS_Mask 62 c
	.dbsym l Stop 61 c
	.dbsym l StsTxByte 60 c
	.dbsym l weight 58 I
	.dbsym l CmdRxByte 57 c
	.dbsym l PSoC_Select 56 c
	.dbsym l pwr 48 A[8:4]I
	.dbsym l Command 5 X
	.dbsym l L_LS_Mask 4 c
	.dbsym l cnt 2 I
	.dbsym l LS_Mask 1 c
	.dbsym l Mask 0 c
	.dbend
	.dbfunc e Timer16_1_ISR _Timer16_1_ISR fV
;           temp -> X+0
_Timer16_1_ISR::
	.dbline -1
	or F,-64
	push A
	mov A,REG[0xd0]
	push A
	mov REG[0xd0],>__r0
	mov A,[__r0]
	push A
	mov A,[__r1]
	push A
	push X
	mov X,SP
	add SP,2
	.dbline 486
; 
; 
; 
; ////////////////////////////////////////////////////////////////////////
; 
; // Timer interrupt routine (every 5 ms)
; #pragma interrupt_handler Timer16_1_ISR
; #pragma nomac
; 
; void Timer16_1_ISR()
; {
	.dbline 489
; 	int temp;
; 
; 	temp = SliceCounter++;
	mov REG[0xd0],>_SliceCounter
	mov A,[_SliceCounter+1]
	push A
	mov A,[_SliceCounter]
	mov REG[0xd0],>__r0
	mov [__r0],A
	pop A
	mov [__r1],A
	add A,1
	mov REG[0xd0],>_SliceCounter
	mov [_SliceCounter+1],A
	mov REG[0xd0],>__r0
	mov A,[__r0]
	adc A,0
	mov REG[0xd0],>_SliceCounter
	mov [_SliceCounter],A
	mov REG[0xd0],>__r0
	mov A,[__r1]
	mov [X+1],A
	mov A,[__r0]
	mov [X+0],A
	.dbline 490
; 	TimeSlot |= ((temp ^ SliceCounter) + 1);
	mov REG[0xd0],>_SliceCounter
	mov A,[X+1]
	xor A,[_SliceCounter+1]
	mov REG[0xd0],>__r0
	mov [__r1],A
	mov A,[X+0]
	mov REG[0xd0],>_SliceCounter
	xor A,[_SliceCounter]
	mov REG[0xd0],>__r0
	mov [__r0],A
	add [__r1],1
	adc [__r0],0
	mov A,[__r1]
	mov REG[0xd0],>_TimeSlot
	or [_TimeSlot+1],A
	mov REG[0xd0],>__r0
	mov A,[__r0]
	mov REG[0xd0],>_TimeSlot
	or [_TimeSlot],A
	.dbline -2
	.dbline 491
; }
L172:
	add SP,-2
	pop X
	mov REG[0xD0],>__r0
	pop A
	mov [__r1],A
	pop A
	mov [__r0],A
	pop A
	mov REG[208],A
	pop A
	.dbline 0 ; func end
	reti
	.dbsym l temp 0 I
	.dbend
	.area lit(rom, con, rel)
L165:
	.byte 32,'g,0
